Debian Bug report logs - #671115
transition: mysql-5.5

version graph

Package: release.debian.org; Maintainer for release.debian.org is Debian Release Team <debian-release@lists.debian.org>;

Reported by: pkg-mysql-maint <pkg-mysql-maint@lists.alioth.debian.org>

Date: Tue, 1 May 2012 21:57:07 UTC

Severity: normal

Fixed in version facturlinex2/2.2.2-2

Done: Nicolas Lopez de Lerma Aymerich <nicolas@esdebian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#671115; Package release.debian.org. (Tue, 01 May 2012 21:57:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to pkg-mysql-maint <pkg-mysql-maint@lists.alioth.debian.org>:
New Bug report received and forwarded. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Tue, 01 May 2012 21:57:11 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Nicholas Bamber <nicholas@periapt.co.uk>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Cc: pkg-mysql-maint <pkg-mysql-maint@lists.alioth.debian.org>
Subject: transition: mysql-5.5
Date: Tue, 01 May 2012 22:52:22 +0100
Package: release.debian.org
Severity: normal
User: release.debian.org@packages.debian.org
Usertags: transition

At some point we need to transition from mysql-5.1 to mysql-5.5. We
would like to do this before the freeze though we appreciate that time
is now short. We arrived at this position as the Debian MySQL Team became
increasingly understaffed. It is better now but not ideal.

We certainly will get mysql-5.5 into unstable in the next few weeks. The 
question
is can we migrate all the dependencies over and drop mysql-5.1 before the
freeze?

If that fails then we will be left supporting a version of MySQL that is not
supported upstream.

As far as I can see the upstream packages that are likely to require
recompilation are:

  amarok
  aolserver4-nsmysql
  asterisk-mysql
  bacula-common-mysql
  bacula-director-mysql
  bacula-sd-mysql
  boinc-dev
  boinc-server-maker
  cacti-spine
  cl-sql-mysql
  collectd
  collectd-core
  convirt
  coop-computing-tools
  courier-authlib-mysql
  ctn
  cvm-mysql
  dbf2mysql
  dbmail-mysql
  dovecot-mysql
  dpm-copy-server-mysql
  dpm-name-server-mysql
  dpm-server-mysql
  dpm-srm-server-mysql
  dsyslog-module-mysql
  emboss
  emboss-lib
  exim4-daemon-heavy
  ezmlm-idx-mysql
  facturlinex2
  flow-tools
  freeradius-mysql
  gambas2-gb-db-mysql
  gdal-bin
  gentle
  gmysqlcc
  gnash-ext-mysql
  gnokii-smsd-mysql
  gnunet-server
  grass
  gsql-mysql-engine
  htcheck
  hydra
  inspircd
  jabberd2
  kannel
  kannel-dev
  kannel-extras
  kannel-sqlbox
  kexi
  kexi-plugin-mysql
  lcd4linux
  lfc-server-mysql
  libapache2-mod-auth-mysql
  libapache2-mod-log-sql-mysql
  libapache2-mod-musicindex
  libaprutil1-dbd-mysql
  libaprutil1-dev
  libdbd-mysql
  libdbd-mysql-perl
  libdspam7-drv-mysql
  libgda-4.0-mysql
  libgda-5.0-mysql
  libgdal1
  libgdal1-1.7.0
  libgdal1-dev
  libgdal-dev
  libgdal-perl
  libgdal-ruby1.8
  libghc-hsql-mysql-dev
  libglpk0
  libglpk0-dbg
  libgsmsd7
  libkaya-mysql-dev
  liblua5.1-sql-mysql-2
  libmailutils2
  libmyodbc
  libnss-mysql-bg
  libpam-mysql
  libpocodatamysql12
  libpocomysql9
  libpocomysql9-dbg
  libpreludedb0
  libqt3-mt-mysql
  libqt4-dev
  libqt4-sql-mysql
  libquickfix14
  libquickfix-python10
  librdf0-dev
  librdf-storage-mysql
  libreoffice-mysql-connector
  libsasl2-modules-sql
  libslicer3
  libvtk5.8
  libvtk5.9
  libvtk5-dev
  libvtk-java
  lighttpd-mod-mysql-vhost
  lua-dbi-mysql
  lua-sql-mysql
  matita
  mediatomb-common
  motion
  muddleftpd
  mydumper
  mysql-navigator
  mysqltcl
  mysql-workbench
  mysqmail-courier-logger
  mysqmail-dovecot-logger
  mysqmail-postfix-logger
  mysqmail-pure-ftpd-logger
  nagios-plugins-standard
  ndoutils-nagios3-mysql
  neko
  netams
  netmrg
  nuauth-extra
  nuauth-log-mysql
  opendnssec-enforcer-mysql
  opennebula
  paraview
  pdns-backend-mysql
  pennmush-mysql
  perdition-mysql
  php5-mysql
  pike7.8-mysql
  pmacct
  postfix-gld
  postfix-mysql
  proftpd-mod-mysql
  pure-ftpd-mysql
  pvpgn
  python-gammu
  python-gammu-dbg
  python-mysqldb
  python-mysqldb-dbg
  python-vtk
  qsf
  ratbox-services-mysql
  r-cran-rmysql
  rsyslog-mysql
  ruby-dataobjects-mysql
  ruby-mysql
  sagan
  sbnc-mysql
  scilab-scimysql
  ser-mysql-module
  slicer
  slurm-llnl-basic-plugins
  snort-common-libraries
  snort-mysql
  sphinxsearch
  spl-mysql
  stardict-tools
  sysbench
  tango-accesscontrol
  tango-db
  tcl-vtk
  tntdb-mysql2
  ulogd-mysql
  voms-mysql-plugin
  wzdftpd-back-mysql
  xbmc-bin
  yate-mysql
  zabbix-proxy-mysql
  zabbix-server-mysql
  zoneminder


-- System Information:
Debian Release: wheezy/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'testing'), (1, 'experimental')
Architecture: i386 (i686)

Kernel: Linux 3.2.0-1-686-pae (SMP w/1 CPU core)
Locale: LANG=en_GB.UTF-8, LC_CTYPE=en_GB.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#671115; Package release.debian.org. (Tue, 08 May 2012 09:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Tue, 08 May 2012 09:09:03 GMT) Full text and rfc822 format available.

Message #10 received at 671115@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: pkg-mysql-maint <pkg-mysql-maint@lists.alioth.debian.org>, 671115@bugs.debian.org
Subject: Re: Bug#671115: transition: mysql-5.5
Date: Tue, 8 May 2012 11:04:59 +0200
[Message part 1 (text/plain, inline)]
On Tue, May  1, 2012 at 22:52:22 +0100, Nicholas Bamber wrote:

> Package: release.debian.org
> Severity: normal
> User: release.debian.org@packages.debian.org
> Usertags: transition
> 
> At some point we need to transition from mysql-5.1 to mysql-5.5. We
> would like to do this before the freeze though we appreciate that time
> is now short. We arrived at this position as the Debian MySQL Team became
> increasingly understaffed. It is better now but not ideal.
> 
> We certainly will get mysql-5.5 into unstable in the next few weeks.
> The question
> is can we migrate all the dependencies over and drop mysql-5.1 before the
> freeze?
> 
*sigh* apparently you uploaded this to sid without even waiting for an
answer, so we now have an uncoordinated libmysqlclient SONAME bump on
our hands...

> If that fails then we will be left supporting a version of MySQL that is not
> supported upstream.
> 
Given how well that "support" works anyway I'm not sure how much of a
loss that is.

> As far as I can see the upstream packages that are likely to require
> recompilation are:
> 
That's an awfully long list to be breaking without coordination.  I'm
not amused.

Cheers,
Julien
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#671115; Package release.debian.org. (Tue, 08 May 2012 09:18:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Adam D. Barratt" <adam@adam-barratt.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Tue, 08 May 2012 09:18:03 GMT) Full text and rfc822 format available.

Message #15 received at 671115@bugs.debian.org (full text, mbox):

From: "Adam D. Barratt" <adam@adam-barratt.org.uk>
To: pkg-mysql-maint <pkg-mysql-maint@lists.alioth.debian.org>
Cc: <671115@bugs.debian.org>
Subject: Re: Bug#671115: transition: mysql-5.5
Date: Tue, 08 May 2012 10:15:22 +0100
On 08.05.2012 10:04, Julien Cristau wrote:
> On Tue, May  1, 2012 at 22:52:22 +0100, Nicholas Bamber wrote:
>
>> Package: release.debian.org
>> Severity: normal
>> User: release.debian.org@packages.debian.org
>> Usertags: transition
>>
>> At some point we need to transition from mysql-5.1 to mysql-5.5. We
>> would like to do this before the freeze though we appreciate that 
>> time
>> is now short. We arrived at this position as the Debian MySQL Team 
>> became
>> increasingly understaffed. It is better now but not ideal.
>>
>> We certainly will get mysql-5.5 into unstable in the next few weeks.
>> The question
>> is can we migrate all the dependencies over and drop mysql-5.1 
>> before the
>> freeze?
>>
> *sigh* apparently you uploaded this to sid without even waiting for 
> an
> answer, so we now have an uncoordinated libmysqlclient SONAME bump on
> our hands...

Also, these changes look very wrong:

   * Removed unnecessary build dependencies:
     - procps as it is required by cmake, cf. #96768
     - zlib1g newer version required by cmake
     - libtool obsoleted by cmake
     - file required by debhelper

If you need the packages as part of your build process, you need to be 
build-depending on them.  There's a reason that policy explicitly 
mentions not relying on transitive dependencies.

>> As far as I can see the upstream packages that are likely to require
>> recompilation are:
>>
> That's an awfully long list to be breaking without coordination.  I'm
> not amused.

Indeed.

Regards,

Adam




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#671115; Package release.debian.org. (Tue, 08 May 2012 11:24:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Olaf van der Spek <ml@vdspek.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Tue, 08 May 2012 11:24:13 GMT) Full text and rfc822 format available.

Message #20 received at 671115@bugs.debian.org (full text, mbox):

From: Olaf van der Spek <ml@vdspek.org>
To: Julien Cristau <jcristau@debian.org>
Cc: pkg-mysql-maint <pkg-mysql-maint@lists.alioth.debian.org>, 671115@bugs.debian.org
Subject: Re: [debian-mysql] Bug#671115: transition: mysql-5.5
Date: Tue, 8 May 2012 13:20:30 +0200
On Tue, May 8, 2012 at 11:04 AM, Julien Cristau <jcristau@debian.org> wrote:
>> If that fails then we will be left supporting a version of MySQL that is not
>> supported upstream.
>>
> Given how well that "support" works anyway I'm not sure how much of a
> loss that is.

(AFAIK:)
Debian-style minimal security updates (for stable) are no longer
possible (for both 5.1 and 5.5). Only full (minor) updates are
possible. Is this acceptable?
If upstream stops supporting 5.1, security updates aren't possible at all.

-- 
Olaf




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#671115; Package release.debian.org. (Tue, 08 May 2012 13:40:55 GMT) Full text and rfc822 format available.

Acknowledgement sent to Cyril Brulebois <kibi@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Tue, 08 May 2012 13:41:06 GMT) Full text and rfc822 format available.

Message #25 received at 671115@bugs.debian.org (full text, mbox):

From: Cyril Brulebois <kibi@debian.org>
To: pkg-mysql-maint <pkg-mysql-maint@lists.alioth.debian.org>, doko@debian.org
Cc: Julien Cristau <jcristau@debian.org>, 671115@bugs.debian.org
Subject: Re: Bug#671115: transition: mysql-5.5
Date: Tue, 8 May 2012 15:16:31 +0200
[Message part 1 (text/plain, inline)]
Julien Cristau <jcristau@debian.org> (08/05/2012):
> *sigh* apparently you uploaded this to sid without even waiting for an
> answer, so we now have an uncoordinated libmysqlclient SONAME bump on
> our hands...

From a quick look at packages mentioned in level 1 of the transition
page[1], at least those FTBFS:
  facturlinex2_2.2.0-1.dsc
  grass_6.4.1-2.dsc
  libnss-mysql-bg_1.5-2.dsc
  mod-auth-mysql_4.3.9-13.dsc
  opennebula_3.2.1-2.dsc

Some of them with clear messages like:
| checking for MySQL libraries... configure: error: Cannot locate MySQL libraries.  Try using --with-mysql=DIR
or
| configure: error: MySQL libraries not found!

Don't tell us you made sure your reverse build dependencies were
building fine, that can't be true.


Some of them are failing due to gcc 4.7 bugs.

Matthias, again, your unilateral, uncoordinated decision to switch to
gcc 4.7 is making our job more difficult than it is. Thank you so much.
Not.

Mraw,
KiBi.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#671115; Package release.debian.org. (Tue, 08 May 2012 13:41:11 GMT) Full text and rfc822 format available.

Acknowledgement sent to Clint Byrum <clint@ubuntu.com>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Tue, 08 May 2012 13:41:15 GMT) Full text and rfc822 format available.

Message #30 received at 671115@bugs.debian.org (full text, mbox):

From: Clint Byrum <clint@ubuntu.com>
To: Julien Cristau <jcristau@debian.org>
Cc: pkg-mysql-maint <pkg-mysql-maint@lists.alioth.debian.org>, "671115@bugs.debian.org" <671115@bugs.debian.org>
Subject: Re: [debian-mysql] Bug#671115: transition: mysql-5.5
Date: Tue, 8 May 2012 06:18:11 -0700
On May 8, 2012, at 2:04, Julien Cristau <jcristau@debian.org> wrote:

> On Tue, May  1, 2012 at 22:52:22 +0100, Nicholas Bamber wrote:
> 
>> Package: release.debian.org
>> Severity: normal
>> User: release.debian.org@packages.debian.org
>> Usertags: transition
>> 
>> At some point we need to transition from mysql-5.1 to mysql-5.5. We
>> would like to do this before the freeze though we appreciate that time
>> is now short. We arrived at this position as the Debian MySQL Team became
>> increasingly understaffed. It is better now but not ideal.
>> 
>> We certainly will get mysql-5.5 into unstable in the next few weeks.
>> The question
>> is can we migrate all the dependencies over and drop mysql-5.1 before the
>> freeze?
>> 
> *sigh* apparently you uploaded this to sid without even waiting for an
> answer, so we now have an uncoordinated libmysqlclient SONAME bump on
> our hands...

To be fair, this transition was already completed in Ubuntu and I filed bugs against all packages that failed with patches. Most if not all of these patches have been applied.

I would expect this transition to go quite smoothly and just to require rebuilds given the  experience we had in Ubuntu.

> 
>> If that fails then we will be left supporting a version of MySQL that is not
>> supported upstream.
>> 
> Given how well that "support" works anyway I'm not sure how much of a
> loss that is.
> 

I'm not sure that is fair to Oracle. While their policies around security disclosure are a bit baffling and perhaps dangerous for their users, they are responsive to bug reports and still provide changes as individual commits in public bzr trees. Oracle deserves our ire, but Debian users who depend on MySQL will be better served by 5.5 than 5.1.

>> As far as I can see the upstream packages that are likely to require
>> recompilation are:
>> 
> That's an awfully long list to be breaking without coordination.  I'm
> not amused.
> 
> Cheers,
> Julien
> _______________________________________________
> pkg-mysql-maint mailing list
> pkg-mysql-maint@lists.alioth.debian.org
> http://lists.alioth.debian.org/cgi-bin/mailman/listinfo/pkg-mysql-maint




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#671115; Package release.debian.org. (Tue, 08 May 2012 18:51:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Nicholas Bamber <nicholas@periapt.co.uk>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Tue, 08 May 2012 18:51:04 GMT) Full text and rfc822 format available.

Message #35 received at 671115@bugs.debian.org (full text, mbox):

From: Nicholas Bamber <nicholas@periapt.co.uk>
To: Julien Cristau <jcristau@debian.org>
Cc: pkg-mysql-maint <pkg-mysql-maint@lists.alioth.debian.org>, 671115@bugs.debian.org
Subject: Re: [debian-mysql] Bug#671115: transition: mysql-5.5
Date: Tue, 08 May 2012 19:48:14 +0100
Julien,
	I am sorry. I got into a panic state over getting rid of mysql-5.1. In 
hindsight I can see that there were betters ways of getting the 
attention of the release team. I am trying to do the right thing.

On 08/05/12 10:04, Julien Cristau wrote:
> On Tue, May  1, 2012 at 22:52:22 +0100, Nicholas Bamber wrote:
>
>>
> *sigh* apparently you uploaded this to sid without even waiting for an
> answer, so we now have an uncoordinated libmysqlclient SONAME bump on
> our hands...
>
>>
> That's an awfully long list to be breaking without coordination.  I'm
> not amused.
>
> Cheers,
> Julien
>
>
>
> _______________________________________________
> pkg-mysql-maint mailing list
> pkg-mysql-maint@lists.alioth.debian.org
> http://lists.alioth.debian.org/cgi-bin/mailman/listinfo/pkg-mysql-maint





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#671115; Package release.debian.org. (Tue, 08 May 2012 18:57:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Nicholas Bamber <nicholas@periapt.co.uk>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Tue, 08 May 2012 18:57:04 GMT) Full text and rfc822 format available.

Message #40 received at 671115@bugs.debian.org (full text, mbox):

From: Nicholas Bamber <nicholas@periapt.co.uk>
To: "Adam D. Barratt" <adam@adam-barratt.org.uk>
Cc: pkg-mysql-maint <pkg-mysql-maint@lists.alioth.debian.org>, 671115@bugs.debian.org
Subject: Re: [debian-mysql] Bug#671115: transition: mysql-5.5
Date: Tue, 08 May 2012 19:52:59 +0100
I think those are defensible although I take the point that the 
changelog is misleading. For example we just stripped out a lot of stuff 
that used procps and the upstream move to cmake removed a lot of 
explicit build dependencies so it was natural to ask whether these are 
still required. I will look again at debian/rules but I think it is good 
to get rid of unnecessarty dependencies.


On 08/05/12 10:15, Adam D. Barratt wrote:
> On 08.05.2012 10:04, Julien Cristau wrote:
>> On Tue, May 1, 2012 at 22:52:22 +0100, Nicholas Bamber wrote:
>>
>>> Package: release.debian.org
>>> Severity: normal
>>> User: release.debian.org@packages.debian.org
>>> Usertags: transition
>>>
>>> At some point we need to transition from mysql-5.1 to mysql-5.5. We
>>> would like to do this before the freeze though we appreciate that time
>>> is now short. We arrived at this position as the Debian MySQL Team
>>> became
>>> increasingly understaffed. It is better now but not ideal.
>>>
>>> We certainly will get mysql-5.5 into unstable in the next few weeks.
>>> The question
>>> is can we migrate all the dependencies over and drop mysql-5.1 before
>>> the
>>> freeze?
>>>
>> *sigh* apparently you uploaded this to sid without even waiting for an
>> answer, so we now have an uncoordinated libmysqlclient SONAME bump on
>> our hands...
>
> Also, these changes look very wrong:
>
> * Removed unnecessary build dependencies:
> - procps as it is required by cmake, cf. #96768
> - zlib1g newer version required by cmake
> - libtool obsoleted by cmake
> - file required by debhelper
>
> If you need the packages as part of your build process, you need to be
> build-depending on them. There's a reason that policy explicitly
> mentions not relying on transitive dependencies.
>
>>> As far as I can see the upstream packages that are likely to require
>>> recompilation are:
>>>
>> That's an awfully long list to be breaking without coordination. I'm
>> not amused.
>
> Indeed.
>
> Regards,
>
> Adam
>
> _______________________________________________
> pkg-mysql-maint mailing list
> pkg-mysql-maint@lists.alioth.debian.org
> http://lists.alioth.debian.org/cgi-bin/mailman/listinfo/pkg-mysql-maint





Added blocking bug(s) of 671115: 650060, 672619, and 672588 Request was from Nicholas Bamber <nicholas@periapt.co.uk> to control@bugs.debian.org. (Sun, 13 May 2012 06:51:03 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 671115: 651110, 651317, 666331, 668232, 649638, 667428, and 672621 Request was from Nicholas Bamber <nicholas@periapt.co.uk> to control@bugs.debian.org. (Sun, 13 May 2012 07:03:05 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 671115: 672714 and 672716 Request was from Nicholas Bamber <nicholas@periapt.co.uk> to control@bugs.debian.org. (Sun, 13 May 2012 07:54:23 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 671115: 672765 Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Sun, 13 May 2012 14:21:12 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 671115: 672816 Request was from Nicholas Bamber <nicholas@periapt.co.uk> to control@bugs.debian.org. (Sun, 13 May 2012 21:30:05 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 671115: 650058 Request was from Nicholas Bamber <nicholas@periapt.co.uk> to control@bugs.debian.org. (Sun, 13 May 2012 21:42:17 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#671115; Package release.debian.org. (Mon, 14 May 2012 01:15:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Miguel A. Colón Vélez <debian.micove@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Mon, 14 May 2012 01:15:06 GMT) Full text and rfc822 format available.

Message #57 received at 671115@bugs.debian.org (full text, mbox):

From: Miguel A. Colón Vélez <debian.micove@gmail.com>
To: 672824@bugs.debian.org
Cc: 590905@bugs.debian.org, 671115@bugs.debian.org
Subject: Re: FTBFS on sid: checking for mysql_init... no
Date: Sun, 13 May 2012 21:13:01 -0400
Hello:

It seems that this is related to bug #590905.

The mysql_config file now contains the following line:
libs_r=" $ldflags -L$pkglibdir -lmysqlclient_r   -lpthread -lz -lm
-lrt -lssl -lcrypto -ldl   "

And the package fails with:
configure:12514: g++ -o conftest -g -O2 -fstack-protector
--param=ssp-buffer-size=4 -Wformat -Werror=format-security
-I/usr/include/mysql -DBIG_JOINS=1  -fno-strict-aliasing  -g
-D_FORTIFY_SOURCE=2 -I/usr/include/mysql -DBIG_JOINS=1
-fno-strict-aliasing  -g -Wl,-z,relro  -lrt conftest.cpp
-L/usr/lib/i386-gnu -lmysqlclient_r -lpthread -lz -lm -lrt -lssl
-lcrypto -ldl  >&5
/usr/bin/ld: cannot find -lssl
/usr/bin/ld: cannot find -lcrypto
collect2: error: ld returned 1 exit status

Adding a build dependency to libssl-dev solves the FTBFS but
libmysqlclient-dev should probably be the one depending on libssl-dev.
 Several packages FTBFS due to the missing ssl libraries and would
need a source upload for something they don't really depend on.

Since this affects the transition I also CC this to their tracker.

Hope this helps,
Miguel




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#671115; Package release.debian.org. (Mon, 14 May 2012 01:33:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Russ Allbery <rra@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Mon, 14 May 2012 01:33:05 GMT) Full text and rfc822 format available.

Message #62 received at 671115@bugs.debian.org (full text, mbox):

From: Russ Allbery <rra@debian.org>
To: Miguel A. Colón Vélez <debian.micove@gmail.com>
Cc: 671115@bugs.debian.org, 672824@bugs.debian.org, 590905@bugs.debian.org
Subject: Re: Bug#671115: FTBFS on sid: checking for mysql_init... no
Date: Sun, 13 May 2012 18:29:33 -0700
Miguel A. Colón Vélez <debian.micove@gmail.com> writes:

> It seems that this is related to bug #590905.

> The mysql_config file now contains the following line:
> libs_r=" $ldflags -L$pkglibdir -lmysqlclient_r   -lpthread -lz -lm
> -lrt -lssl -lcrypto -ldl   "

[...]

> Adding a build dependency to libssl-dev solves the FTBFS but
> libmysqlclient-dev should probably be the one depending on libssl-dev.

It should probably just be omitting all that stuff from its library
configuration and relying on transitive library dependencies.

-- 
Russ Allbery (rra@debian.org)               <http://www.eyrie.org/~eagle/>




Added indication that bug 671115 blocks 672928 Request was from Nicholas Bamber <nicholas@periapt.co.uk> to control@bugs.debian.org. (Mon, 14 May 2012 18:33:12 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 671115: 672950 Request was from Nicholas Bamber <nicholas@periapt.co.uk> to control@bugs.debian.org. (Mon, 14 May 2012 21:54:04 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 671115: 672207 Request was from Nicholas Bamber <nicholas@periapt.co.uk> to control@bugs.debian.org. (Tue, 15 May 2012 21:54:04 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 671115: 649955 and 673161 Request was from Nicholas Bamber <nicholas@periapt.co.uk> to control@bugs.debian.org. (Wed, 16 May 2012 18:48:06 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 671115: 673183 Request was from Nicholas Bamber <nicholas@periapt.co.uk> to control@bugs.debian.org. (Wed, 16 May 2012 19:09:08 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 671115: 673153 Request was from Nicholas Bamber <nicholas@periapt.co.uk> to control@bugs.debian.org. (Thu, 17 May 2012 06:42:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#671115; Package release.debian.org. (Thu, 17 May 2012 22:27:42 GMT) Full text and rfc822 format available.

Acknowledgement sent to Matej Vela <vela@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Thu, 17 May 2012 22:27:42 GMT) Full text and rfc822 format available.

Message #79 received at 671115@bugs.debian.org (full text, mbox):

From: Matej Vela <vela@debian.org>
To: 590905@bugs.debian.org, Russ Allbery <rra@debian.org>, Miguel A. Colón Vélez <debian.micove@gmail.com>
Cc: control@bugs.debian.org, 671115@bugs.debian.org, 672619@bugs.debian.org, 672824@bugs.debian.org, 673262@bugs.debian.org, 673263@bugs.debian.org
Subject: Bug#590905: libmysqld-dev: Missing dependency or wrong flags in mysql_config
Date: Thu, 17 May 2012 23:10:01 +0100
# causes multiple packages to FTBFS
severity 590905 serious
block 672619 by 590905
block 672824 by 590905
block 673262 by 590905 # also a runaway regexp here
block 673263 by 590905
thanks

On Sun, May 13, 2012 at 06:29:33PM -0700, Russ Allbery wrote:
> Miguel A. Colón Vélez <debian.micove@gmail.com> writes:
>
>> Adding a build dependency to libssl-dev solves the FTBFS but
>> libmysqlclient-dev should probably be the one depending on libssl-dev.
>
> It should probably just be omitting all that stuff from its library
> configuration and relying on transitive library dependencies.

Yes, mysql_config should definitely omit most everything except for
-lmysqlclient.  There was a long mail about this a while ago...  Ah,
here it is:

    <http://lists.debian.org/debian-devel-announce/2005/11/msg00016.html>

Cheers,

Matej




Added blocking bug(s) of 671115: 672824, 673262, and 673263 Request was from Nicholas Bamber <nicholas@periapt.co.uk> to control@bugs.debian.org. (Thu, 17 May 2012 23:12:03 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 671115: 673264 Request was from Nicholas Bamber <nicholas@periapt.co.uk> to control@bugs.debian.org. (Thu, 17 May 2012 23:42:04 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 671115: 673260 Request was from Matej Vela <vela@debian.org> to control@bugs.debian.org. (Thu, 17 May 2012 23:42:09 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 671115: 673528 Request was from Nicholas Bamber <nicholas@periapt.co.uk> to control@bugs.debian.org. (Sat, 19 May 2012 15:15:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#671115; Package release.debian.org. (Sat, 19 May 2012 15:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Adam D. Barratt" <adam@adam-barratt.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Sat, 19 May 2012 15:57:03 GMT) Full text and rfc822 format available.

Message #92 received at 671115@bugs.debian.org (full text, mbox):

From: "Adam D. Barratt" <adam@adam-barratt.org.uk>
To: Clint Byrum <clint@ubuntu.com>, 671115@bugs.debian.org
Cc: Julien Cristau <jcristau@debian.org>, pkg-mysql-maint <pkg-mysql-maint@lists.alioth.debian.org>
Subject: Re: Bug#671115: [debian-mysql] Bug#671115: transition: mysql-5.5
Date: Sat, 19 May 2012 16:51:34 +0100
On Tue, 2012-05-08 at 06:18 -0700, Clint Byrum wrote:
> On May 8, 2012, at 2:04, Julien Cristau <jcristau@debian.org> wrote:
> > On Tue, May  1, 2012 at 22:52:22 +0100, Nicholas Bamber wrote:
> >> At some point we need to transition from mysql-5.1 to mysql-5.5. We
> >> would like to do this before the freeze though we appreciate that time
> >> is now short. We arrived at this position as the Debian MySQL Team became
> >> increasingly understaffed. It is better now but not ideal.
[...]
> To be fair, this transition was already completed in Ubuntu and I
> filed bugs against all packages that failed with patches. Most if not
> all of these patches have been applied.
> 
> I would expect this transition to go quite smoothly and just to
> require rebuilds given the  experience we had in Ubuntu.

The problem is that the recent set of php5 security updates are
currently stuck in unstable, because they picked up a dependency on
libmysqlclient18.

For most library transitions, this wouldn't be such a big problem as we
could push the new version of the source in and have britney keep the
old library around in testing for as long as there were
reverse-dependencies; indeed there was some hope that with mysql-5.5
being a separate source package, this would be even easier as the two
source packages could co-exist.

However, it turns out that won't work - the 5.5 packages have:

Breaks: mysql-client-5.1 (<< 5.5), mysql-server-5.1 (<< 5.5),
mysql-server-core-5.1 (<< 5.5)

and there are no versions of those packages with versions >= 5.5 (so I'm
not entirely sure what the logic behind the version constraints is).
Various -5.1 packages have versioned dependencies on other binaries from
that source, which means we can't even mitigate the problem by adding
Provides from the 5.5 packages.  Providing them as real transitional
packages from the 5.5 source would probably work, unless there's some
reason that's a crazy suggestion?

(There's also a mysql-5.1 upload which can't migrate to testing, as
britney is convinced that it needs mysql-5.5 to migrate first;
presumably because the latter now provides the
mysql-{client,common,server} binary packages in unstable.)

Regards,

Adam





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#671115; Package release.debian.org. (Sat, 19 May 2012 17:03:12 GMT) Full text and rfc822 format available.

Acknowledgement sent to Nicholas Bamber <nicholas@periapt.co.uk>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Sat, 19 May 2012 17:03:12 GMT) Full text and rfc822 format available.

Message #97 received at 671115@bugs.debian.org (full text, mbox):

From: Nicholas Bamber <nicholas@periapt.co.uk>
To: "Adam D. Barratt" <adam@adam-barratt.org.uk>
Cc: Clint Byrum <clint@ubuntu.com>, 671115@bugs.debian.org, pkg-mysql-maint <pkg-mysql-maint@lists.alioth.debian.org>, Julien Cristau <jcristau@debian.org>
Subject: Re: [debian-mysql] Bug#671115: Bug#671115: transition: mysql-5.5
Date: Sat, 19 May 2012 18:00:24 +0100
Adam,
	I have long been wondering what the point of all the versioning is 
(apart from the shared library of course). I would vote for getting rid 
of it post-freeze.

	I think there have been two differences between the ubuntu and Debian 
transitions. The first is adding libssl-dev as a build dependency. It 
not being a build dependency caused a FTBS in some circumstances. Fixing 
put -lssl and -lcrypto in the mysq_config output with adjusting the 
dependencies accordingly. This caused a number of otehr packages to fail 
and I am working on removing -lssl and -lcrypto from the mysql_config 
output.

	The second difference is not I believe substantive. I changed Conflicts 
clauses to Breaks/Replaces as suggested by lintian.

Apart from the file clashes these clauses are there purely, AFAICS, 
because we version the binary packages. For example in ubuntu amarok had 
to change build dependencies from 5.1 to 5.5 and needs to do so in Debian.

	

On 19/05/12 16:51, Adam D. Barratt wrote:
> On Tue, 2012-05-08 at 06:18 -0700, Clint Byrum wrote:
>> On May 8, 2012, at 2:04, Julien Cristau<jcristau@debian.org>  wrote:
>>> On Tue, May  1, 2012 at 22:52:22 +0100, Nicholas Bamber wrote:
>>>> At some point we need to transition from mysql-5.1 to mysql-5.5. We
>>>> would like to do this before the freeze though we appreciate that time
>>>> is now short. We arrived at this position as the Debian MySQL Team became
>>>> increasingly understaffed. It is better now but not ideal.
> [...]
>> To be fair, this transition was already completed in Ubuntu and I
>> filed bugs against all packages that failed with patches. Most if not
>> all of these patches have been applied.
>>
>> I would expect this transition to go quite smoothly and just to
>> require rebuilds given the  experience we had in Ubuntu.
>
> The problem is that the recent set of php5 security updates are
> currently stuck in unstable, because they picked up a dependency on
> libmysqlclient18.
>
> For most library transitions, this wouldn't be such a big problem as we
> could push the new version of the source in and have britney keep the
> old library around in testing for as long as there were
> reverse-dependencies; indeed there was some hope that with mysql-5.5
> being a separate source package, this would be even easier as the two
> source packages could co-exist.
>
> However, it turns out that won't work - the 5.5 packages have:
>
> Breaks: mysql-client-5.1 (<<  5.5), mysql-server-5.1 (<<  5.5),
> mysql-server-core-5.1 (<<  5.5)
>
> and there are no versions of those packages with versions>= 5.5 (so I'm
> not entirely sure what the logic behind the version constraints is).
> Various -5.1 packages have versioned dependencies on other binaries from
> that source, which means we can't even mitigate the problem by adding
> Provides from the 5.5 packages.  Providing them as real transitional
> packages from the 5.5 source would probably work, unless there's some
> reason that's a crazy suggestion?
>
> (There's also a mysql-5.1 upload which can't migrate to testing, as
> britney is convinced that it needs mysql-5.5 to migrate first;
> presumably because the latter now provides the
> mysql-{client,common,server} binary packages in unstable.)
>
> Regards,
>
> Adam
>
>
> _______________________________________________
> pkg-mysql-maint mailing list
> pkg-mysql-maint@lists.alioth.debian.org
> http://lists.alioth.debian.org/cgi-bin/mailman/listinfo/pkg-mysql-maint





Added tag(s) pending. Request was from Cyril Brulebois <kibi@debian.org> to control@bugs.debian.org. (Sun, 20 May 2012 14:24:08 GMT) Full text and rfc822 format available.

Added indication that bug 671115 blocks 673792 Request was from Mateusz Kijowski <mateusz.kijowski@gmail.com> to control@bugs.debian.org. (Mon, 21 May 2012 13:36:14 GMT) Full text and rfc822 format available.

Removed indication that bug 671115 blocks 673792 Request was from Mateusz Kijowski <mateusz.kijowski@gmail.com> to control@bugs.debian.org. (Mon, 21 May 2012 14:22:52 GMT) Full text and rfc822 format available.

Removed blocking bug(s) of 671115: 673792 Request was from Mateusz Kijowski <mateusz.kijowski@gmail.com> to control@bugs.debian.org. (Mon, 21 May 2012 14:22:53 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#671115; Package release.debian.org. (Mon, 21 May 2012 18:36:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Clint Byrum <clint@ubuntu.com>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Mon, 21 May 2012 18:36:06 GMT) Full text and rfc822 format available.

Message #110 received at 671115@bugs.debian.org (full text, mbox):

From: Clint Byrum <clint@ubuntu.com>
To: Adam D. Barratt <adam@adam-barratt.org.uk>
Cc: 671115 <671115@bugs.debian.org>, Julien Cristau <jcristau@debian.org>, pkg-mysql-maint <pkg-mysql-maint@lists.alioth.debian.org>
Subject: Re: Bug#671115: [debian-mysql] Bug#671115: transition: mysql-5.5
Date: Mon, 21 May 2012 11:34:16 -0700
Excerpts from Adam D. Barratt's message of Sat May 19 08:51:34 -0700 2012:
> On Tue, 2012-05-08 at 06:18 -0700, Clint Byrum wrote:
> > On May 8, 2012, at 2:04, Julien Cristau <jcristau@debian.org> wrote:
> > > On Tue, May  1, 2012 at 22:52:22 +0100, Nicholas Bamber wrote:
> > >> At some point we need to transition from mysql-5.1 to mysql-5.5. We
> > >> would like to do this before the freeze though we appreciate that time
> > >> is now short. We arrived at this position as the Debian MySQL Team became
> > >> increasingly understaffed. It is better now but not ideal.
> [...]
> > To be fair, this transition was already completed in Ubuntu and I
> > filed bugs against all packages that failed with patches. Most if not
> > all of these patches have been applied.
> > 
> > I would expect this transition to go quite smoothly and just to
> > require rebuilds given the  experience we had in Ubuntu.
> 
> The problem is that the recent set of php5 security updates are
> currently stuck in unstable, because they picked up a dependency on
> libmysqlclient18.
> 

For anything critical like the PHP update, would it be prudent to upload
a new one with the build dependency bumped back to libmysqlclient16-dev
so they can progress to testing independent of this transition?

> For most library transitions, this wouldn't be such a big problem as we
> could push the new version of the source in and have britney keep the
> old library around in testing for as long as there were
> reverse-dependencies; indeed there was some hope that with mysql-5.5
> being a separate source package, this would be even easier as the two
> source packages could co-exist.
> 
> However, it turns out that won't work - the 5.5 packages have:
> 
> Breaks: mysql-client-5.1 (<< 5.5), mysql-server-5.1 (<< 5.5),
> mysql-server-core-5.1 (<< 5.5)
> 

mysql-common >> 5.5 will break 5.1 because there are new configuration
options used in /etc/mysql/my.cnf that will *break* mysql 5.1, as in,
it will refuse to run, libmysqlclient will throw errors, etc. This is
an unfortunate, but necessary evil.

We can upload a version of 5.1 that has no mysql-server, mysql-client,
or mysql-testsuite packages, and also that depends on a mysql-common-5.1
which breaks/replaces mysql-common << ${binary:Version}, and conflicts
with mysql-common >> ${binary:Version}, so that everything remains
installable during the transition. mysql-common in 5.5 would also then
need a Breaks/Replaces of that package to handle upgrades properly.

> and there are no versions of those packages with versions >= 5.5 (so I'm
> not entirely sure what the logic behind the version constraints is).
> Various -5.1 packages have versioned dependencies on other binaries from
> that source, which means we can't even mitigate the problem by adding
> Provides from the 5.5 packages.  Providing them as real transitional
> packages from the 5.5 source would probably work, unless there's some
> reason that's a crazy suggestion?
> 
> (There's also a mysql-5.1 upload which can't migrate to testing, as
> britney is convinced that it needs mysql-5.5 to migrate first;
> presumably because the latter now provides the
> mysql-{client,common,server} binary packages in unstable.)

The above idea would allow testing users to get the new 5.1 updates
while we finish the 5.5 transition. I'm not sure how important that is.

Perhaps I don't understand the transition process though.. how long will
it actually take? I'm really sorry for the total lack of understanding of
that process.. in Ubuntu where we don't have maintainers, I completed it
in about 2 days of no change rebuilds, and 1 day of patching the obvious
FTBFS's. The rest of the transition was actually fixing the 2 or 3 big
incompatibilities. With all of that work already done and those patches
submitted to all the Debian packages/upstreams/etc., I'd expect things to
go more smoothly in Debian. I understand there are more architectures, but
will it really take so long that we need to keep the 5.1 packages healthy?




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#671115; Package release.debian.org. (Mon, 21 May 2012 19:24:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Mon, 21 May 2012 19:24:03 GMT) Full text and rfc822 format available.

Message #115 received at 671115@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Clint Byrum <clint@ubuntu.com>
Cc: "Adam D. Barratt" <adam@adam-barratt.org.uk>, 671115 <671115@bugs.debian.org>, pkg-mysql-maint <pkg-mysql-maint@lists.alioth.debian.org>
Subject: Re: Bug#671115: [debian-mysql] Bug#671115: transition: mysql-5.5
Date: Mon, 21 May 2012 21:21:35 +0200
On Mon, May 21, 2012 at 11:34:16 -0700, Clint Byrum wrote:

> mysql-common >> 5.5 will break 5.1 because there are new configuration
> options used in /etc/mysql/my.cnf that will *break* mysql 5.1, as in,
> it will refuse to run, libmysqlclient will throw errors, etc. This is
> an unfortunate, but necessary evil.
> 
> We can upload a version of 5.1 that has no mysql-server, mysql-client,
> or mysql-testsuite packages, and also that depends on a mysql-common-5.1
> which breaks/replaces mysql-common << ${binary:Version}, and conflicts
> with mysql-common >> ${binary:Version}, so that everything remains
> installable during the transition. mysql-common in 5.5 would also then
> need a Breaks/Replaces of that package to handle upgrades properly.
> 
I'd rather see a new mysql-5.1 upload that builds *only*
libmysqlclient16.

Cheers,
Julien




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#671115; Package release.debian.org. (Mon, 21 May 2012 19:51:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Nicholas Bamber <nicholas@periapt.co.uk>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Mon, 21 May 2012 19:51:09 GMT) Full text and rfc822 format available.

Message #120 received at 671115@bugs.debian.org (full text, mbox):

From: Nicholas Bamber <nicholas@periapt.co.uk>
To: Julien Cristau <jcristau@debian.org>
Cc: Clint Byrum <clint@ubuntu.com>, "Adam D. Barratt" <adam@adam-barratt.org.uk>, pkg-mysql-maint <pkg-mysql-maint@lists.alioth.debian.org>, 671115 <671115@bugs.debian.org>
Subject: Re: [debian-mysql] Bug#671115: Bug#671115: transition: mysql-5.5
Date: Mon, 21 May 2012 20:47:19 +0100
That should be trivial. We need only remove all the other binary 
stanzas, right?

On 21/05/12 20:21, Julien Cristau wrote:
> On Mon, May 21, 2012 at 11:34:16 -0700, Clint Byrum wrote:
>
>> mysql-common>>  5.5 will break 5.1 because there are new configuration
>> options used in /etc/mysql/my.cnf that will *break* mysql 5.1, as in,
>> it will refuse to run, libmysqlclient will throw errors, etc. This is
>> an unfortunate, but necessary evil.
>>
>> We can upload a version of 5.1 that has no mysql-server, mysql-client,
>> or mysql-testsuite packages, and also that depends on a mysql-common-5.1
>> which breaks/replaces mysql-common<<  ${binary:Version}, and conflicts
>> with mysql-common>>  ${binary:Version}, so that everything remains
>> installable during the transition. mysql-common in 5.5 would also then
>> need a Breaks/Replaces of that package to handle upgrades properly.
>>
> I'd rather see a new mysql-5.1 upload that builds *only*
> libmysqlclient16.
>
> Cheers,
> Julien
>
> _______________________________________________
> pkg-mysql-maint mailing list
> pkg-mysql-maint@lists.alioth.debian.org
> http://lists.alioth.debian.org/cgi-bin/mailman/listinfo/pkg-mysql-maint





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#671115; Package release.debian.org. (Tue, 22 May 2012 01:09:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Clint Byrum <clint@ubuntu.com>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Tue, 22 May 2012 01:09:08 GMT) Full text and rfc822 format available.

Message #125 received at 671115@bugs.debian.org (full text, mbox):

From: Clint Byrum <clint@ubuntu.com>
To: Nicholas Bamber <nicholas@periapt.co.uk>
Cc: Julien Cristau <jcristau@debian.org>, Adam D. Barratt <adam@adam-barratt.org.uk>, pkg-mysql-maint <pkg-mysql-maint@lists.alioth.debian.org>, 671115 <671115@bugs.debian.org>
Subject: Re: [debian-mysql] Bug#671115: Bug#671115: transition: mysql-5.5
Date: Mon, 21 May 2012 18:04:17 -0700
Excerpts from Nicholas Bamber's message of Mon May 21 12:47:19 -0700 2012:
> On 21/05/12 20:21, Julien Cristau wrote:
> > On Mon, May 21, 2012 at 11:34:16 -0700, Clint Byrum wrote:
> >
> >> mysql-common>>  5.5 will break 5.1 because there are new configuration
> >> options used in /etc/mysql/my.cnf that will *break* mysql 5.1, as in,
> >> it will refuse to run, libmysqlclient will throw errors, etc. This is
> >> an unfortunate, but necessary evil.
> >>
> >> We can upload a version of 5.1 that has no mysql-server, mysql-client,
> >> or mysql-testsuite packages, and also that depends on a mysql-common-5.1
> >> which breaks/replaces mysql-common<<  ${binary:Version}, and conflicts
> >> with mysql-common>>  ${binary:Version}, so that everything remains
> >> installable during the transition. mysql-common in 5.5 would also then
> >> need a Breaks/Replaces of that package to handle upgrades properly.
> >>
> > I'd rather see a new mysql-5.1 upload that builds *only*
> > libmysqlclient16.
<fixed top post>
> That should be trivial. We need only remove all the other binary 
> stanzas, right?
> 

You will also need to fold /etc/mysql/my.cnf into libmysqlclient16 as the
library needs that file for default settings, and then you need to make
it conflict with mysql-commont <= 5.5 so as to not pick up the broken
config options.

Either way, basically nothing that depends on libmysqlclient16 will be
able to be co-installed with anything that depends on libmysqlclient18.

Welcome the to the crack that is libmysqlclient. :)

I will do some tests, maybe we can get the two libs to share a common
transitional "library only" my.cnf.

But, I think really we just have to finish the transition ASAP.




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#671115; Package release.debian.org. (Tue, 22 May 2012 07:45:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Olaf van der Spek <ml@vdspek.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Tue, 22 May 2012 07:45:02 GMT) Full text and rfc822 format available.

Message #130 received at 671115@bugs.debian.org (full text, mbox):

From: Olaf van der Spek <ml@vdspek.org>
To: Clint Byrum <clint@ubuntu.com>
Cc: Nicholas Bamber <nicholas@periapt.co.uk>, "Adam D. Barratt" <adam@adam-barratt.org.uk>, 671115 <671115@bugs.debian.org>, pkg-mysql-maint <pkg-mysql-maint@lists.alioth.debian.org>, Julien Cristau <jcristau@debian.org>
Subject: Re: [debian-mysql] Bug#671115: Bug#671115: transition: mysql-5.5
Date: Tue, 22 May 2012 09:28:35 +0200
On Tue, May 22, 2012 at 3:04 AM, Clint Byrum <clint@ubuntu.com> wrote:
> You will also need to fold /etc/mysql/my.cnf into libmysqlclient16 as the
> library needs that file for default settings, and then you need to make
> it conflict with mysql-commont <= 5.5 so as to not pick up the broken
> config options.

What (new) (client) options are problematic for libmysqlclient?
I thought it was only an issue for server.

Olaf




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#671115; Package release.debian.org. (Tue, 22 May 2012 07:45:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Tue, 22 May 2012 07:45:04 GMT) Full text and rfc822 format available.

Message #135 received at 671115@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Clint Byrum <clint@ubuntu.com>
Cc: Nicholas Bamber <nicholas@periapt.co.uk>, "Adam D. Barratt" <adam@adam-barratt.org.uk>, pkg-mysql-maint <pkg-mysql-maint@lists.alioth.debian.org>, 671115 <671115@bugs.debian.org>
Subject: Re: [debian-mysql] Bug#671115: Bug#671115: transition: mysql-5.5
Date: Tue, 22 May 2012 09:42:27 +0200
On Mon, May 21, 2012 at 18:04:17 -0700, Clint Byrum wrote:

> You will also need to fold /etc/mysql/my.cnf into libmysqlclient16 as the
> library needs that file for default settings, and then you need to make
> it conflict with mysql-commont <= 5.5 so as to not pick up the broken
> config options.
> 
Sigh.  This is so hopelessly broken.  (Don't do that.)
Also, broken how?

Cheers,
Julien




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#671115; Package release.debian.org. (Tue, 22 May 2012 18:09:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Tue, 22 May 2012 18:09:06 GMT) Full text and rfc822 format available.

Message #140 received at 671115@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Clint Byrum <clint@ubuntu.com>, 671115@bugs.debian.org
Cc: "Adam D. Barratt" <adam@adam-barratt.org.uk>, pkg-mysql-maint <pkg-mysql-maint@lists.alioth.debian.org>
Subject: Re: Bug#671115: [debian-mysql] Bug#671115: transition: mysql-5.5
Date: Tue, 22 May 2012 20:06:55 +0200
On Mon, May 21, 2012 at 11:34:16 -0700, Clint Byrum wrote:

> For anything critical like the PHP update, would it be prudent to upload
> a new one with the build dependency bumped back to libmysqlclient16-dev
> so they can progress to testing independent of this transition?
> 
There's no such thing as libmysqlclient16-dev btw.

Cheers,
Julien




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#671115; Package release.debian.org. (Tue, 22 May 2012 19:45:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Nicholas Bamber <nicholas@periapt.co.uk>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Tue, 22 May 2012 19:45:05 GMT) Full text and rfc822 format available.

Message #145 received at 671115@bugs.debian.org (full text, mbox):

From: Nicholas Bamber <nicholas@periapt.co.uk>
To: 671115 <671115@bugs.debian.org>
Subject: next attempt
Date: Tue, 22 May 2012 20:41:07 +0100
[Message part 1 (text/plain, inline)]
The attached file is my latest proposed fix for mysql-5.5. For clarity 
it excludes files added (repacking stuff) or removed ( a non-DFSG file 
and lintian overrides). I am still testing it in other ways.
[mysql.debdiff (text/plain, attachment)]

Added blocking bug(s) of 671115: 674210 Request was from Nicholas Bamber <nicholas@periapt.co.uk> to control@bugs.debian.org. (Wed, 23 May 2012 21:24:19 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 671115: 674328 Request was from Miguel A. Colón Vélez <debian.micove@gmail.com> to control@bugs.debian.org. (Thu, 24 May 2012 20:33:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#671115; Package release.debian.org. (Fri, 25 May 2012 07:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Clint Byrum <clint@ubuntu.com>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Fri, 25 May 2012 07:39:03 GMT) Full text and rfc822 format available.

Message #154 received at 671115@bugs.debian.org (full text, mbox):

From: Clint Byrum <clint@ubuntu.com>
To: Adam D. Barratt <adam@adam-barratt.org.uk>
Cc: 671115 <671115@bugs.debian.org>, Julien Cristau <jcristau@debian.org>, pkg-mysql-maint <pkg-mysql-maint@lists.alioth.debian.org>
Subject: Re: Bug#671115: [debian-mysql] Bug#671115: transition: mysql-5.5
Date: Fri, 25 May 2012 00:35:45 -0700
Excerpts from Adam D. Barratt's message of Sat May 19 08:51:34 -0700 2012:
> On Tue, 2012-05-08 at 06:18 -0700, Clint Byrum wrote:
> > On May 8, 2012, at 2:04, Julien Cristau <jcristau@debian.org> wrote:
> > > On Tue, May  1, 2012 at 22:52:22 +0100, Nicholas Bamber wrote:
> > >> At some point we need to transition from mysql-5.1 to mysql-5.5. We
> > >> would like to do this before the freeze though we appreciate that time
> > >> is now short. We arrived at this position as the Debian MySQL Team became
> > >> increasingly understaffed. It is better now but not ideal.
> [...]
> > To be fair, this transition was already completed in Ubuntu and I
> > filed bugs against all packages that failed with patches. Most if not
> > all of these patches have been applied.
> > 
> > I would expect this transition to go quite smoothly and just to
> > require rebuilds given the  experience we had in Ubuntu.
> 
> The problem is that the recent set of php5 security updates are
> currently stuck in unstable, because they picked up a dependency on
> libmysqlclient18.
> 
> For most library transitions, this wouldn't be such a big problem as we
> could push the new version of the source in and have britney keep the
> old library around in testing for as long as there were
> reverse-dependencies; indeed there was some hope that with mysql-5.5
> being a separate source package, this would be even easier as the two
> source packages could co-exist.
> 
> However, it turns out that won't work - the 5.5 packages have:
> 
> Breaks: mysql-client-5.1 (<< 5.5), mysql-server-5.1 (<< 5.5),
> mysql-server-core-5.1 (<< 5.5)
> 
> and there are no versions of those packages with versions >= 5.5 (so I'm
> not entirely sure what the logic behind the version constraints is).
> Various -5.1 packages have versioned dependencies on other binaries from
> that source, which means we can't even mitigate the problem by adding
> Provides from the 5.5 packages.  Providing them as real transitional
> packages from the 5.5 source would probably work, unless there's some
> reason that's a crazy suggestion?
> 
> (There's also a mysql-5.1 upload which can't migrate to testing, as
> britney is convinced that it needs mysql-5.5 to migrate first;
> presumably because the latter now provides the
> mysql-{client,common,server} binary packages in unstable.)
> 


I've done some testing on this. The piece of my.cnf that I thought
would break client and libmysqlclient does not. It only breaks
mysql-server-core-5.1:

120525  0:20:34 [ERROR] mysqld: unknown variable 'lc-messages-dir=/usr/share/mysql'

So the Breaks: on 5.5's mysql-common can be dropped to just

Breaks: mysql-server-5.1, mysql-server-core-5.1

It seems to me that this plan will let things migrate into testing at
that point:

* Upload mysql-5.1 with all unversioned and server packages removed:
  libmysqlclient-dev
  libmysqld-dev
  libmysqld-pic
  mysql-server
  mysql-server-5.1
  mysql-server-core-5.1
  mysql-client
  mysql-testsuite
* Upload mysql-5.5 (5.5.24 is out and fixes a security flaw)  with the
Breaks: on mysql-comon relaxed as above.

This should allow us to progress 5.5 into testing without making anything
uninstallable except mysql-server-5.1, and mysql-server-core-5.1. Users
who have those installed *should* get 5.5 as an upgrade since it
breaks/replaces the -5.1 packages. Their only rdepends in unstable are:

pvpgn - suggests only
|python-mysqldb - suggests, optional 'mysql-server'
mahara - recommends, optional 'mysql-server'

I am still very new to the Debian release process though, so please do
educate me on reasons this would be a bad idea, assuming 5.5 is ready
to migrate to testing.




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#671115; Package release.debian.org. (Fri, 25 May 2012 16:57:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Fri, 25 May 2012 16:57:06 GMT) Full text and rfc822 format available.

Message #159 received at 671115@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Clint Byrum <clint@ubuntu.com>, 671115@bugs.debian.org
Cc: "Adam D. Barratt" <adam@adam-barratt.org.uk>, pkg-mysql-maint <pkg-mysql-maint@lists.alioth.debian.org>
Subject: Re: Bug#671115: [debian-mysql] Bug#671115: transition: mysql-5.5
Date: Fri, 25 May 2012 18:55:50 +0200
[Message part 1 (text/plain, inline)]
On Fri, May 25, 2012 at 00:35:45 -0700, Clint Byrum wrote:

> I've done some testing on this. The piece of my.cnf that I thought
> would break client and libmysqlclient does not. It only breaks
> mysql-server-core-5.1:
> 
> 120525  0:20:34 [ERROR] mysqld: unknown variable 'lc-messages-dir=/usr/share/mysql'
> 
> So the Breaks: on 5.5's mysql-common can be dropped to just
> 
> Breaks: mysql-server-5.1, mysql-server-core-5.1
> 
Good.

> It seems to me that this plan will let things migrate into testing at
> that point:
> 
> * Upload mysql-5.1 with all unversioned and server packages removed:
>   libmysqlclient-dev
>   libmysqld-dev
>   libmysqld-pic
>   mysql-server
>   mysql-server-5.1
>   mysql-server-core-5.1
>   mysql-client
>   mysql-testsuite

Sounds good.

> * Upload mysql-5.5 (5.5.24 is out and fixes a security flaw)  with the
> Breaks: on mysql-comon relaxed as above.
> 
It would be nice to have a fix for #674210 in the archive, or a manually
built amd64 package to work around it, ASAP.

Cheers,
Julien
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#671115; Package release.debian.org. (Fri, 25 May 2012 18:12:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Cyril Brulebois <kibi@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Fri, 25 May 2012 18:12:03 GMT) Full text and rfc822 format available.

Message #164 received at 671115@bugs.debian.org (full text, mbox):

From: Cyril Brulebois <kibi@debian.org>
To: Clint Byrum <clint@ubuntu.com>, 671115@bugs.debian.org
Cc: "Adam D. Barratt" <adam@adam-barratt.org.uk>, Julien Cristau <jcristau@debian.org>, pkg-mysql-maint <pkg-mysql-maint@lists.alioth.debian.org>
Subject: Re: Bug#671115: [debian-mysql] Bug#671115: transition: mysql-5.5
Date: Fri, 25 May 2012 20:10:13 +0200
Clint Byrum <clint@ubuntu.com> (25/05/2012):
> I've done some testing on this. The piece of my.cnf that I thought
> would break client and libmysqlclient does not. It only breaks
> mysql-server-core-5.1:
> 
> 120525  0:20:34 [ERROR] mysqld: unknown variable 'lc-messages-dir=/usr/share/mysql'
> 
> So the Breaks: on 5.5's mysql-common can be dropped to just
> 
> Breaks: mysql-server-5.1, mysql-server-core-5.1

Out of curiosity, can't 5.1 just be made to ignore this option, BTW?

Mraw,
KiBi.




Added blocking bug(s) of 671115: 674122 Request was from Nicholas Bamber <nicholas@periapt.co.uk> to control@bugs.debian.org. (Fri, 25 May 2012 22:03:25 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 671115: 661422 Request was from Steve Langasek <vorlon@debian.org> to control@bugs.debian.org. (Sat, 26 May 2012 21:18:10 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 671115: 674309 Request was from Steve Langasek <vorlon@debian.org> to control@bugs.debian.org. (Sat, 26 May 2012 21:21:06 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 671115: 660686 Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Fri, 01 Jun 2012 15:21:07 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 671115: 640818 Request was from gregor herrmann <gregoa@debian.org> to control@bugs.debian.org. (Sat, 02 Jun 2012 12:51:53 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 671115: 675836 Request was from Nicholas Bamber <nicholas@periapt.co.uk> to control@bugs.debian.org. (Sun, 03 Jun 2012 21:33:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#671115; Package release.debian.org. (Fri, 08 Jun 2012 18:54:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Adam D. Barratt" <adam@adam-barratt.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Fri, 08 Jun 2012 18:54:06 GMT) Full text and rfc822 format available.

Message #181 received at 671115@bugs.debian.org (full text, mbox):

From: "Adam D. Barratt" <adam@adam-barratt.org.uk>
To: pkg-mysql-maint <pkg-mysql-maint@lists.alioth.debian.org>, 671115@bugs.debian.org
Subject: Re: Bug#671115: transition: mysql-5.5
Date: Fri, 08 Jun 2012 19:51:10 +0100
On Tue, 2012-05-01 at 22:52 +0100, Nicholas Bamber wrote:
> At some point we need to transition from mysql-5.1 to mysql-5.5. We
> would like to do this before the freeze though we appreciate that time
> is now short. We arrived at this position as the Debian MySQL Team became
> increasingly understaffed. It is better now but not ideal.

Now that the symbol versioning fix is in testing, I've scheduled the
binNMUs for level 1 on the tracker
(<URL:http://release.debian.org/transitions/html/mysqlclient.html>),
other than the packages we already know have FTBFS issues.

Regards,

Adam





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#671115; Package release.debian.org. (Sat, 09 Jun 2012 14:57:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Adam D. Barratt" <adam@adam-barratt.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Sat, 09 Jun 2012 14:57:06 GMT) Full text and rfc822 format available.

Message #186 received at 671115@bugs.debian.org (full text, mbox):

From: "Adam D. Barratt" <adam@adam-barratt.org.uk>
To: 671115@bugs.debian.org
Cc: pkg-mysql-maint <pkg-mysql-maint@lists.alioth.debian.org>
Subject: Re: Bug#671115: transition: mysql-5.5
Date: Sat, 09 Jun 2012 15:54:56 +0100
On Fri, 2012-06-08 at 19:51 +0100, Adam D. Barratt wrote:
> On Tue, 2012-05-01 at 22:52 +0100, Nicholas Bamber wrote:
> > At some point we need to transition from mysql-5.1 to mysql-5.5. We
> > would like to do this before the freeze though we appreciate that time
> > is now short. We arrived at this position as the Debian MySQL Team became
> > increasingly understaffed. It is better now but not ideal.
> 
> Now that the symbol versioning fix is in testing, I've scheduled the
> binNMUs for level 1 on the tracker
> (<URL:http://release.debian.org/transitions/html/mysqlclient.html>),
> other than the packages we already know have FTBFS issues.

Having spotted that the dependency level division on that particular
tracker is basically artificial, I've also scheduled the majority of
level 2.

Regards,

Adam





Added blocking bug(s) of 671115: 650059 Request was from Adam D. Barratt <adam@adam-barratt.org.uk> to control@bugs.debian.org. (Sat, 09 Jun 2012 15:51:03 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 671115: 676595 Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Mon, 11 Jun 2012 12:42:53 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 671115: 676083 Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Mon, 11 Jun 2012 13:36:03 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 671115: 677114 Request was from Nicholas Bamber <nicholas@periapt.co.uk> to control@bugs.debian.org. (Mon, 11 Jun 2012 18:42:03 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 671115: 677259 Request was from Nicholas Bamber <nicholas@periapt.co.uk> to control@bugs.debian.org. (Tue, 12 Jun 2012 17:33:07 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 671115: 677328 Request was from Nicholas Bamber <nicholas@periapt.co.uk> to control@bugs.debian.org. (Wed, 13 Jun 2012 09:51:11 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 671115: 676817 Request was from Nicholas Bamber <nicholas@periapt.co.uk> to control@bugs.debian.org. (Wed, 13 Jun 2012 09:57:51 GMT) Full text and rfc822 format available.

Added indication that bug 671115 blocks 678375 Request was from Nicholas Bamber <nicholas@periapt.co.uk> to control@bugs.debian.org. (Thu, 21 Jun 2012 09:15:12 GMT) Full text and rfc822 format available.

Removed blocking bug(s) of 671115: 678375 Request was from Nicholas Bamber <nicholas@periapt.co.uk> to control@bugs.debian.org. (Thu, 21 Jun 2012 09:15:15 GMT) Full text and rfc822 format available.

Reply sent to "Adam D. Barratt" <adam@adam-barratt.org.uk>:
You have taken responsibility. (Mon, 25 Jun 2012 05:30:04 GMT) Full text and rfc822 format available.

Notification sent to pkg-mysql-maint <pkg-mysql-maint@lists.alioth.debian.org>:
Bug acknowledged by developer. (Mon, 25 Jun 2012 05:30:04 GMT) Full text and rfc822 format available.

Message #209 received at 671115-done@bugs.debian.org (full text, mbox):

From: "Adam D. Barratt" <adam@adam-barratt.org.uk>
To: pkg-mysql-maint <pkg-mysql-maint@lists.alioth.debian.org>, 671115-done@bugs.debian.org
Subject: Re: Bug#671115: transition: mysql-5.5
Date: Mon, 25 Jun 2012 06:25:31 +0100
On Tue, 2012-05-01 at 22:52 +0100, Nicholas Bamber wrote:
> At some point we need to transition from mysql-5.1 to mysql-5.5. We
> would like to do this before the freeze though we appreciate that time
> is now short. We arrived at this position as the Debian MySQL Team became
> increasingly understaffed. It is better now but not ideal.
> 
> We certainly will get mysql-5.5 into unstable in the next few weeks. The 
> question
> is can we migrate all the dependencies over and drop mysql-5.1 before the
> freeze?

As of last night's britney run:

$ dak ls mysql-5.1
 mysql-5.1 |   5.1.49-3 |        stable | source
 mysql-5.1 |   5.1.62-1 |      unstable | source

mysql-5.1 is still in unstable and a few packages there still depend on
it or libmysqlcient16, but in terms of getting mysql-5.5 to be part of
the wheezy release, I think we can call this transition done; thanks for
your help in getting there.

Regards,

Adam





Removed blocking bug(s) of 671115: 677328 Request was from Luca Falavigna <dktrkranz@debian.org> to control@bugs.debian.org. (Mon, 16 Jul 2012 12:21:12 GMT) Full text and rfc822 format available.

Reply sent to Nicolas Lopez de Lerma Aymerich <nicolas@esdebian.org>:
You have taken responsibility. (Mon, 06 Aug 2012 10:03:03 GMT) Full text and rfc822 format available.

Notification sent to pkg-mysql-maint <pkg-mysql-maint@lists.alioth.debian.org>:
Bug acknowledged by developer. (Mon, 06 Aug 2012 10:03:03 GMT) Full text and rfc822 format available.

Message #216 received at 671115-close@bugs.debian.org (full text, mbox):

From: Nicolas Lopez de Lerma Aymerich <nicolas@esdebian.org>
To: 671115-close@bugs.debian.org
Subject: Bug#671115: fixed in facturlinex2 2.2.2-2
Date: Mon, 06 Aug 2012 10:02:17 +0000
Source: facturlinex2
Source-Version: 2.2.2-2

We believe that the bug you reported is fixed in the latest version of
facturlinex2, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 671115@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Nicolas Lopez de Lerma Aymerich <nicolas@esdebian.org> (supplier of updated facturlinex2 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Mon, 06 Aug 2012 10:15:00 +0200
Source: facturlinex2
Binary: facturlinex2
Architecture: source i386
Version: 2.2.2-2
Distribution: unstable
Urgency: low
Maintainer: Nicolas Lopez de Lerma Aymerich <nicolas@esdebian.org>
Changed-By: Nicolas Lopez de Lerma Aymerich <nicolas@esdebian.org>
Description: 
 facturlinex2 - ERP/CRM for small and medium businesses
Closes: 671115 673153
Changes: 
 facturlinex2 (2.2.2-2) unstable; urgency=low
 .
   * Update changelog whit bugs closed
   * Update source to new rev 467
   * Uploaded to Debian (Closes: #671115)
   * Update zeoslibs to version 7.0
   * Supresed the simbolic link of libmysqlclient.so in rules file (Closes: #673153)
   * Update dependences to mysql-client and mysql-server (Closes: #671115)
   * Update zeoslibs to suport libmysqlclient.so.18
   * Update all to compile whit new version of lazarus 0.9.30-4 and 1.1rc
Checksums-Sha1: 
 0cf45f227fab6d259d113ff0b7de4b56cf0ae916 1833 facturlinex2_2.2.2-2.dsc
 aaf58216ac103900898980b11af1a3725bae576a 11469307 facturlinex2_2.2.2.orig.tar.gz
 550e9734f16998394df08850d70112141fa6c5dc 4044 facturlinex2_2.2.2-2.debian.tar.gz
 277733dd4ac164115baff9f4f26e591d0a615b51 6220646 facturlinex2_2.2.2-2_i386.deb
Checksums-Sha256: 
 a8bfd12bd1f530bba029e788701407ac2472b1378523f57079a706efcc2c180c 1833 facturlinex2_2.2.2-2.dsc
 78f7b6f9ccca71d45e289ebd421a256556d5a6f349c6ceb3d579ca7b868626bb 11469307 facturlinex2_2.2.2.orig.tar.gz
 724e54f507fb72b3f9a8997d20023706eb6ebc58d7cc59b527343141a0570b79 4044 facturlinex2_2.2.2-2.debian.tar.gz
 3457e148134d098fcc3601cfae74b05690da3abf3dd18cae03ea6117609fc182 6220646 facturlinex2_2.2.2-2_i386.deb
Files: 
 514f6727f732bff589045dcba3c09b62 1833 x11 optional facturlinex2_2.2.2-2.dsc
 e0a83e1bb2f46f60157036907d13ece3 11469307 x11 optional facturlinex2_2.2.2.orig.tar.gz
 82d4be77e8547c9606d5b7e484e6188d 4044 x11 optional facturlinex2_2.2.2-2.debian.tar.gz
 5925b9ecfb76c5f4492841182fbac760 6220646 x11 optional facturlinex2_2.2.2-2_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCAAGBQJQH5KbAAoJEPjp6tWiJ9yS6C4P/jCv5gEzDmmjkGlzE8YIrTuX
tZFXR/otGznz2PqQVAcn2/VRhW22FQy0uSPxwtBGt2amJB3IbVxcSKccQsyNXpQY
ZAFLxPUjcs86wVed7bBR6Mf/D7WQXA1qbvKhGWhwZIXZ7KeY30Tt7f+LrqvRCYZK
NF754Y8e2TDDv6/LU73WsGsDwjrRBms4fz4Ys5yFDQ+ElgK4tHWEA25ctd9AYPtA
87uRAdI7v/KZu38SFkFuK8MPH2YfPEDXbrMzPjKTQiQ4dD8DyH8dEuIIL4jzspzt
rQGcfdrCd7UCktTWWkITNk+3JKEGE5cOOr9SP+83j/crIqaph7TPUcAAOPGig5Wb
J/Ja1ogmTAdVWUMI5/Wr9ao/yRgrfb9iCLG4HpmTya4WZ2zk9jRGjbRmYPl4w4Nb
kP51kupzffAIusSKD9cMAWOXJt9zK7S6YyD9+AC0UuZMJKKqrb65MscDEI/YLXyd
Mlu27RXIjUF14uXBWHzwfnlZwaZe11Sfb/jvm7JRmKM4PaDuZa3fk4aEEcmHAWVA
rRny3fXPyN7iaOtmbBfc+ur0yckCse3/vqzuVg6FNRDLGbXA6qdr3uH9qMGq8Ak/
sAEbbFnsZcjwTmtcO3ZJnooKEveqMNepxR8Da+bXom4Gl0atj6QfT67bLYs5Xsrv
8tdIbDMi1Bwadp0ir1Xe
=MDOn
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 04 Sep 2012 07:26:25 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 09:55:20 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.